收藏
回答

加入flyio依赖,工具构建npm无法运行,是什么原因?

弹窗显示已经完成构建,但是底部还显示构建***.js。最后卡死。重新打开项目,发现无法运行,也不报错,点击编译没有控制台没有任何信息,模拟器也不现实任何东西


  "dependencies": {

    "flyio""^0.6.14"

    "miniprogram-api-promise""^1.0.4"

  },

  "devDependencies": {

    "miniprogram-api-typings""^2.9.4"

  }





windows

工具 v1.02.1911180

最后一次编辑于  01-03
回答关注问题邀请回答
收藏

2 个回答

  • Albert Einstein
    Albert Einstein
    01-03

    是只要引入这个依赖构建,就可以复现这个问题吗?新建一个默认项目引入试下呢

    01-03
    赞同
    回复 7
    • Luoooo
      Luoooo
      01-07
      默认的项目也是的,然后就卡死在这个页面
      01-07
      回复
    • Albert Einstein
      Albert Einstein
      01-07回复Luoooo
      这边没有复现。是什么版本的工具?试下最新版的 nightly 工具呢
      01-07
      回复
    • Luoooo
      Luoooo
      01-08回复Albert Einstein
      之前是v1.02.1911180,现在用nightly(1.02.2001062)。64位,一样的问题,每次在红色箭头的文件就会编译不过去
      01-08
      回复
    • Luoooo
      Luoooo
      01-08
      这是设置
      01-08
      回复
    • Albert Einstein
      Albert Einstein
      01-09回复Luoooo
      看下 node_modules/flyio/package.json ,你装的 flyio 是什么具体版本呢
      01-09
      回复
    查看更多(2)
  • 河童
    河童
    01-03

    可以看下这里。

    https://developers.weixin.qq.com/miniprogram/dev/devtools/npm.html

    01-03
    赞同
    回复 1
    • Luoooo
      Luoooo
      01-07
      是按照这个编译的
      01-07
      回复
登录 后发表内容
问题标签